#!/bin/sh
export PATH='/wrkdirs/usr/ports/security/hs-Crypto/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: Crypto
version: 4.2.5.1
id: Crypto-4.2.5.1-3GYojT2i3m7BcOEeb82tR1
key: Crypto-4.2.5.1-3GYojT2i3m7BcOEeb82tR1
license: LicenseRef-OtherLicense
copyright: Dominic Steinitz 2003 - 2007
maintainer: Caylee Hogg <caylee.hogg@gmail.com>
author: Dominic Steinitz
stability: Alpha
synopsis: Collects together existing Haskell cryptographic functions into a package
description:
    DES, Blowfish, AES, TEA, SHA1, MD5, RSA, BubbleBabble,
    Hexdump, Support for Word128, Word192 and Word256 and Beyond, PKCS5
    Padding, Various Encryption Modes e.g. Cipher Block Chaining all in one package,
    with HUnit and QuickCheck tests, and examples.
category: Cryptography, Codec
abi: 6b9d64732121ae85dc55e1f4291ce9c2
exposed: True
exposed-modules:
    Codec.Binary.BubbleBabble Codec.Encryption.AES
    Codec.Encryption.Blowfish Codec.Encryption.DES
    Codec.Encryption.Modes Codec.Encryption.Padding
    Codec.Encryption.RSA Codec.Encryption.RSA.EMEOAEP
    Codec.Encryption.RSA.MGF Codec.Encryption.RSA.NumberTheory
    Codec.Encryption.TEA Codec.Text.Raw Codec.Utils Data.Digest.MD5
    Data.Digest.SHA1 Data.Digest.SHA2 Data.Digest.SHA224
    Data.Digest.SHA256 Data.Digest.SHA384 Data.Digest.SHA512 Data.HMAC
    Data.LargeWord
hidden-modules: Codec.Encryption.BlowfishAux
                Codec.Encryption.DESAux Codec.Encryption.AESAux Data.Digest.MD5Aux
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/Crypto-4.2.5.1
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/Crypto-4.2.5.1
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/Crypto-4.2.5.1
hs-libraries: HSCrypto-4.2.5.1-3GYojT2i3m7BcOEeb82tR1
include-dirs: /usr/local/include
depends:
    HUnit-1.6.0.0-JrvWwD5n0JVL2qYKQOHt3C
    QuickCheck-2.10.0.1-36mA29Z3j1XHCNj7SMKwZe array-0.5.2.0
    base-4.11.1.0 pretty-1.1.3.6 random-1.1-9LLJAJa4iQFLJiLXBOBXBV
abi-depends: HUnit-1.6.0.0-JrvWwD5n0JVL2qYKQOHt3C=ed3e2fbc83320d687cbb73d27c3ce3e4
             QuickCheck-2.10.0.1-36mA29Z3j1XHCNj7SMKwZe=3371c49c75ee7a146511f28201605228
             array-0.5.2.0=001d57bac323829c35f5e9edd158c1ef
             base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             pretty-1.1.3.6=90affdbc3311e3f1796c5df5e1277f30
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=6c9dabf50bfbc27cd6da1a2ab69b5015
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/Crypto-4.2.5.1/html/Crypto.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/Crypto-4.2.5.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

